{ config, pkgs, ... }:

{
  imports =
    [
      ./common-headless.nix
    ];

  boot.loader.grub.enable = true;
  boot.loader.grub.version = 2;
  boot.loader.grub.zfsSupport = true;
  boot.supportedFilesystems = ["zfs"];
  boot.loader.grub.mirroredBoots = [
    { devices = [ "/dev/sda" ]; path = "/boota"; }
    { devices = [ "/dev/sdb" ]; path = "/bootb"; }
    { devices = [ "/dev/sdc" ]; path = "/bootc"; }
    { devices = [ "/dev/sdd" ]; path = "/bootd"; }
    { devices = [ "/dev/sde" ]; path = "/boote"; }
    { devices = [ "/dev/sdf" ]; path = "/bootf"; }
  ];

  networking.hostName = "aplysia"; # Define your hostname.
  networking.hostId = "34a820f1";

  services.openssh.enable = true;

  users.extraUsers.gebner = {
    isNormalUser = true;
    extraGroups = ["wheel"];
  };

  boot.kernelPackages = pkgs.lib.mkOverride 10 pkgs.linuxPackages;

  system.stateVersion = "17.03";

}
